#### D.14.1.33 arr2multarr

Procedure from library `arr.lib` (see arr_lib).

Usage:
  multArrFromIntvec(arr A, intvec v);

Return:
  [multarr] multiarrangement MA, which is the arrangement A with multiplicities v

Note:
  the size of v must match the number of hyperplanes of the arrangement A

Example:

    LIB "arr.lib";
    ring R = 0,(x,y,z),dp;
    arr A = arrTypeB(3);            A;
    ==> _[1]=x-y
    ==> _[2]=x+y
    ==> _[3]=x-z
    ==> _[4]=x+z
    ==> _[5]=x
    ==> _[6]=y-z
    ==> _[7]=y+z
    ==> _[8]=y
    ==> _[9]=z
    ==>
    intvec v=2:9;               v;
    ==> 2,2,2,2,2,2,2,2,2
    multarr MA=arr2multarr(A,v);
    MA;
    ==> _[1]=(x-y)^2
    ==> _[2]=(x+y)^2
    ==> _[3]=(x-z)^2
    ==> _[4]=(x+z)^2
    ==> _[5]=(x)^2
    ==> _[6]=(y-z)^2
    ==> _[7]=(y+z)^2
    ==> _[8]=(y)^2
    ==> _[9]=(z)^2
    ==>

See also: arr2multarr; multarr2arr.

User manual for Singular version 4.4.1, 2025, generated by texi2html.